package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Furnace extends Sprite<Furnace.FurnaceState> {
    public enum FurnaceState {
        OFF, ON,
    }

    public Furnace() {
        loadResources(new HashMap<>() {
            {
                put(FurnaceState.OFF, "furnace.ans");
                put(FurnaceState.ON, "furnace2.ans");
            }
        }, FurnaceState.class);
    }

    public String getSprite() {
        return getSprite(FurnaceState.OFF);
    }

    public String getSprite(FurnaceState e) {
        return getResource(e);
    }
}
